﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using WGneu.Models;


namespace WGneu
{
    /// <summary>
    /// Interaction logic for MemberEditWindow.xaml
    /// </summary>
    public partial class MemberEditWindow : Window
    {
        private WGContext _context;
        private readonly Member member;
        public event EventHandler Event;

        public MemberEditWindow(Member member, WGContext context)
        {
            this._context= context;
            this.member = member;

            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            MgNr.Text = member.MgNr.ToString();
            GivenName.Text = member.GivenName;
            FamilyName.Text = member.FamilyName;
            Zweigstelle.Text = member.Zweigstelle;
            // Country.Text = member.Country;
            // PostalDest.Text = member.PostalDest;
            Address.Text = member.Address;
            // DefaultKgnr.Text = member.DefaultKgnr.ToString();
        }

        private void Save_Button_Click(object sender, RoutedEventArgs e)
        {
            member.MgNr = Int32.Parse(MgNr.Text);
            member.GivenName = GivenName.Text;
            member.FamilyName = FamilyName.Text;
            member.Zweigstelle = Zweigstelle.Text;
            // member.Country = Country.Text;
            // member.PostalDest = PostalDest.Text;
            member.Address = Address.Text;
            // member.DefaultKgnr = Int32.Parse(DefaultKgnr.Text);

            _context.Update(member);
            _context.SaveChanges();
            this.Call_Event();
            this.Close();
        }

        private void Call_Event()
        {
            if (this.Event != null)
            {
                this.Event(this, EventArgs.Empty);
            }
        }
    }
}
