﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WGneu.Models
{
    [Table("member"), PrimaryKey("MgNr")]
    public class Member
    {
        [Column("mgnr")]
        public int MgNr { get; set; }

        [Column("given_name")]
        public String GivenName { get; set; }

        [Column("family_name")]
        public String FamilyName { get; set; }

        [Column("zwstid")]
        public String Zweigstelle { get; set; }

        [Column("country")]
        public String CountryCode { get; set; }
        
        [Column("postal_dest")]
        public String PostalDestId { get; set; }

        [Column("address")]
        public String Address { get; set; }

        [Column("default_kgnr")]
        public int DefaultKgNr { get; set; }

        [ForeignKey("CountryCode")]
        public virtual Country Country { get; set; }

        [ForeignKey("CountryCode, PostalDestId")]
        public virtual PostalDest PostalDest { get; set; }

        [ForeignKey("DefaultKgNr")]
        public virtual AT_Kg DefaultKg { get; set; }
    }
}
